Subject: Bug#651: [X2Go-Dev] x2goclient segfault on update to 4.0.3 on ubuntu 14.04

From: Mihai Moldovan <[email-masked]>
Date: Wed, 15 Nov 2017 01:56:04 +0100

Control -1 moreinfo

On 10/23/2014 09:15 AM, Rob Izzard wrote:
> Package: x2goclient
> Version: 4.0.3
> 
> hi x2go developers,
> 
> I have x2goclient 4.0.3 (latest updates) on an Kubuntu 14.04 client,
> connecting to a server running x2goserver 4.0.1.16 on Ubuntu 12.10.
> 
> Everything worked fine two days ago...  but after the recent update
> from 4.0.2.1 to 4.0.3 on my client, x2goclient crashes with the
> following (--debug) message just after connecting to the server:
> 
> x2go-INFO-1> "Starting x2goclient..."
> x2go-WARNING-1> "Can't load translator: :/x2goclient_en_gb"
> x2go-WARNING-2> "Can't load translator: :/qt_en_GB"
> x2go-INFO-3> "Started  x2goclient."
> x2go-DEBUG-../onmainwindow.cpp:490> "$HOME=/home/izzard"
> x2go-DEBUG-../onmainwindow.cpp:2104> Reading 1 sessions from config file.
> x2go-DEBUG-../onmainwindow.cpp:2649> Starting session via smartcard,
> ssh-agent or kerberos token.
> x2go-INFO-8> "Starting connection to server: aibn36.astro.uni-bonn.de:22"
> x2go-DEBUG-../onmainwindow.cpp:2683> Start new ssh connection to
> server:"aibn36.astro.uni-bonn.de":"22" krbLogin: false
> x2go-DEBUG-../onmainwindow.cpp:2778> SSH connection established.
> x2go-DEBUG-../onmainwindow.cpp:3038> Continue normal x2go session
> x2go-DEBUG-../onmainwindow.cpp:3382>
> "DBD::SQLite::dbpreparefailed:nosuchcolumn:tekictrl_portat/usr/share/perl5/X2Go/Server/DB/SQLite3.pmline551.
> "
> Segmentation fault (core dumped)
> 
> I tried to fix this by removing my .x2goclient directory and manually
> re-entering the server details but this failed.
> 
> I have fixed this by copying the binary x2goclient 4.0.2.1 (from
> /usr/local/bin on the server) to my home directory (~/bin on the
> client) and now I am running this instead with no problems. The
> "SQLite" error line is no longer reported.
> 
> Something is crocked in the new 4.0.3! :)

As far as I can tell, your server-side database might be hosed.

On the other hand, we probably aren't handling such errors too well in X2Go Client.

Can you still reproduce it with newer X2Go Client versions?

Mihai